# $Revision: 1.56 $, $Date: 2002/05/25 20:15:32 $
Summary:	Improved color IRC client with built-in scripts
Summary(es):	Cliente IRC para la consola Linux
Summary(pl):	Ulepszony, kolorowy klient IRC z wbudowanymi skryptami
Summary(pt_BR):	Cliente IRC para o console do Linux
Name:		BitchX
Version:	1.0c19
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.bitchx.com/pub/BitchX/source/ircii-pana-%{version}.tar.gz
Source1:	ircII.servers
Source2:	%{name}.desktop
Source3:	%{name}-bxglobal.script
Source4:	%{name}.1.pl
Patch0:		%{name}-config.h.patch
Patch1:		%{name}-numver.patch
Icon:		BitchX.xpm
URL:		http://www.bitchx.com/
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_libdir}

%description
BitchX is a popular ANSI color ircII client by panasync. It
incorporates various features that would normally require a script.
It's interface is more colorful and cleaner than ircII.

%description -l es
Cliente IRC para la consola Linux.

%description -l pl
BitchX jest popularnym klientem ircII. Jego interfejs jest bardziej
kolorowy i przejrzysty ni interfejs standardowego kilienta ircII.

%description -l pt_BR
O BitchX  um cliente de IRC com suporte a cores para o console do
Linux. Ele incorpora vrias caractersticas que normalmente
requereriam um script, e a sua interface  mais colorida, e simples de
trabalhar que a do ircII :)

%package europa
Summary:	Europa Plugin
Summary(pl):	Wtyczka Europa
Group:		Applications/Networking
Requires:	BitchX = %{version}

%description europa
Europa is a BitchX plugin to provide easy access to an SQL
knowledgebase. This is helpful for use in help channels where common
questions repeatedly come up.

%description europa -l pl
Europa jest wtyczk do BitchX zapewniajc atwy dostp do SQL-owej
bazy wiedzy. Jest przydatny na kanaach pomocy, gdzie czsto
powtarzaj si te same pytania.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
CFLAGS="%{rpmcflags} -I%{_includedir}/ncurses"
%configure2_13 \
	--enable-ipv6 \
	--with-plugins=all

%{__make} \
	IRCLIB="%{_datadir}/%{name}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_applnkdir}/Network/Communications} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/irc,%{_mandir}/{man1,pl/man1}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/{script,translation,help,plugins}

install source/{BitchX,scr-bx} \
			$RPM_BUILD_ROOT%{_bindir}
install dll/*/*.so	$RPM_BUILD_ROOT%{_datadir}/%{name}/plugins

install source/wserv	$RPM_BUILD_ROOT%{_datadir}/%{name}

install script/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/script
install translation/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/translation
cp -pfr bitchx-docs/*	$RPM_BUILD_ROOT%{_datadir}/%{name}/help

install doc/BitchX.png	$RPM_BUILD_ROOT%{_pixmapsdir}

install doc/BitchX.1	$RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1}	$RPM_BUILD_ROOT%{_sysconfdir}/irc/ircII.servers
install %{SOURCE2}	$RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/BitchX.desktop
install %{SOURCE3}	$RPM_BUILD_ROOT%{_datadir}/%{name}/script/bxglobal
install %{SOURCE4}	$RPM_BUILD_ROOT%{_mandir}/pl/man1/BitchX.1


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog doc/BitchX{-format,-idea,.bot,.doc,.faq,.tcl} IPv6-support dll/europa/{README,knowledgebase.sql}
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/irc/*
%dir %{_datadir}/BitchX
%dir %{_datadir}/BitchX/plugins
%attr(755,root,root) %{_datadir}/BitchX/plugins/acro.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/aim.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/arcfour.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/autobot.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/autocycle.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/blowfish.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/cavlink.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/encrypt.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/fserv.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/hint.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/identd.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/nap.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/pkga.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/possum.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/qbx.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/qmail.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/scan.so
%attr(755,root,root) %{_datadir}/BitchX/plugins/wavplay.so
%attr(755,root,root) %{_datadir}/BitchX/wserv
%{_datadir}/BitchX/help
%{_datadir}/BitchX/script
%{_datadir}/BitchX/translation
%{_applnkdir}/Network/Communications/*
%{_pixmapsdir}/*
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files europa
%defattr(644,root,root,755)
%doc dll/europa/*.gz
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/BitchX/plugins/europa.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: BitchX.spec,v $
Revision 1.56  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.55  2002/04/29 21:27:07  mwinkler
- updated to 1.0c19

Revision 1.54  2002/04/25 15:53:38  arturs
fixed a small typo

Revision 1.53  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.51  2001/12/23 21:17:10  qrczak
- BitchX-numver.patch: fix declaration of a C variable.
- Release 6

Revision 1.50  2001/11/21 01:45:10  kloczek
- merge translations from CNV and few cosmetics.

Revision 1.49  2001/11/20 23:43:13  ankry
- added pl man page
- release 4

Revision 1.48  2001/10/29 14:32:08  qboosh
- descriptions for europa plugin

Revision 1.47  2001/10/22 16:24:53  kloczek
- release 3.

Revision 1.46  2001/10/18 17:13:16  gotar
- added %{_datadir}/BitchX/plugins dir to the package contents.

Revision 1.45  2001/08/18 18:38:27  kloczek
- release 2.

Revision 1.44  2001/08/18 13:27:17  waszi
- europa plugin moved to subpackage (it requires mysql)

Revision 1.43  2001/08/17 19:14:07  kloczek
- added mysql-devel to BuildRequires.

Revision 1.42  2001/08/17 15:12:05  waszi
- updated to 1.0c18

Revision 1.41  2001/04/30 16:05:13  kloczek
- added using %%{rpmcflags} macro.

Revision 1.40  2001/02/17 01:27:58  michuz
- release 8
- %%{_applnk}/Network/IRC changed to Communications

Revision 1.39  2001/01/25 20:03:19  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.38  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.37  2000/10/09 11:14:59  kloczek
- release 7.

Revision 1.36  2000/10/07 21:28:19  waszi
- removed unneed modules

Revision 1.35  2000/10/01 01:05:14  kloczek
- release 6.

Revision 1.34  2000/10/01 00:28:33  kloczek
- spec %%{debug} ready.

Revision 1.33  2000/09/30 22:59:35  waszi

- moved wserv -> wserv-bx

Revision 1.32  2000/09/17 18:04:31  kloczek
- cosmetics.

Revision 1.31  2000/09/16 20:12:02  waszi
- updated to c17
- rewrited partially

Revision 1.30  2000/08/17 06:16:28  kloczek
- spec adapterized.

Revision 1.29  2000/08/15 15:02:06  baggins
- release 5
- removed, unneeded, iso2 patch (Source1 does this)
- added bxglobal script to finally fix console breakage chars

Revision 1.28  2000/07/13 22:57:25  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.27  2000/07/13 20:37:13  baggins
- release 3

Revision 1.26  2000/06/09 07:22:44  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/05/27 10:27:45  michuz
- %%applnk changed
- small fixes

Revision 1.24  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.21  2000/02/02 16:28:13  alchemyx
- small fix - it makes BitchX nice and with PL letters in one box ;)

Revision 1.20  2000/02/01 12:55:27  wiget
1.0c16

Revision 1.19  2000/01/31 19:16:35  kloczek
- spec adapterized,
- added package icon, desktop file and menu icon,
- removed antiroot patch,
- removed some files from %doc,
- added --enable-ipv6 to ./configure parameters,
- fixed passing LDFLAGS to ./configure enviroment (stripping in %install is
  not neccessary now).

Revision 1.18  2000/01/30 12:13:51  alchemyx
- release++
- major fix to spec (config.h)
- cleaning up

Revision 1.17  2000/01/29 23:49:08  alchemyx
- new version
- few patches removed/changed
- added config.h
- dirty patch for polish characters
- still under development... stay tuned ;)

Revision 1.16  1999/11/08 19:44:46  kura
- changed Group to Applications/Networking
- fixed pl translation

Revision 1.15  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Oct 01 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- wserv is now as wserv-bx (modifiet to avoid conflicts with others
  irc clients)
- irclib is now ${prefix}/lib/BitchX
- added /usr/lib/BitchX with subdirectories
- modified pl translations
- added configuration /etc/irc/ircII.servers
- added help (from EPIC3 but should be from EPIC4!)
- added pl message in %post
- now BitchX uses /usr/lib/BitchX/BitchX.help instead ~/.BitchX/BitchX.help
- added Polish IRCNet servers to DEFAULT

* Thu Aug 13 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
- build against glibc-2.1,
- translation modified for pl,
- changed build root to /tmp/bitchx (oj Andrzej, Andrzej... fonetyka ;)
- changed permissions of ELF binaries to 711.
